Debian Security Advisory

DSA-1061-1 popfile -- missing input sanitising

Date Reported:
19 May 2006
Affected Packages:
Security database references:
In the Debian bugtracking system: Bug 354464.
In Mitre's CVE dictionary: CVE-2006-0876.
More information:

It has been discovered that popfile, a bayesian mail classifier, can be forced into a crash through malformed character sets within email messages, which allows denial of service.

The old stable distribution (woody) does not contain popfile packages.

For the stable distribution (sarge) this problem has been fixed in version 0.22.2-2sarge1.

For the unstable distribution (sid) this problem has been fixed in version 0.22.4-1.

We recommend that you upgrade your popfile package.

Fixed in:

Debian GNU/Linux 3.1 (sarge)

Architecture-independent component:

MD5 checksums of the listed files are available in the original advisory.